Subject: bug#11965: closed (Re: bug#11965: version 8.17: cp/fiemap-perf test failed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Jul 2012 13:11:02 +0000

Your bug report

#11965: version 8.17: cp/fiemap-perf test failed

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11965: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11965
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11965: version 8.17: cp/fiemap-perf test failed
From: Pádraig Brady <[email-masked]>
To: [email-masked]
Cc: Andrew D Warshall <[email-masked]>, [email-masked]
Date: Wed, 18 Jul 2012 14:04:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 07/18/2012 12:43 AM, Andrew D Warshall wrote:
> On 07/17/12 19:52, Pádraig Brady wrote:
>> Which email address would you prefer.
> 
> Best to use warshall (at) 99main (dot) com.

I suspect the actual failure was due to
not being able to create a 1T sparse file
on an ext2 file system with 1K block size.
So I'm going to push this...

commit 1598174b9b714ad7a1e67fe906d47292a87af99f
Author: Andrew D Warshall <[email-masked]>
Date:   Wed Jul 18 13:53:53 2012 +0100

    tests: fiemap-perf: avoid a false failure on ext2

    * tests/cp/fiemap-perf: Skip the test on ext2 file systems,
    as we do for ext3.  Also skip the test if we can't create
    a 1TiB file, which can happen on ext2 for example where
    the sparse file size limit is lower than that of ext4.

    Signed-off-by: Pádraig Brady <[email-masked]>

diff --git a/tests/cp/fiemap-perf b/tests/cp/fiemap-perf
index e418728..ca093b5 100755
--- a/tests/cp/fiemap-perf
+++ b/tests/cp/fiemap-perf
@@ -24,13 +24,14 @@ touch fiemap_chk
 fiemap_capable_ fiemap_chk ||
   skip_ "this file system lacks FIEMAP support"

-# Exclude ext3 (or unknown fs types)
-# as the emulated extent scanning is slow
-df -t ext3 . >/dev/null &&
-  skip_ "ext3 has known slow FIEMAP scanning"
+# Exclude ext[23] (or unknown fs types)
+# as the emulated extent scanning can be slow
+df -t ext2 -t ext3 . >/dev/null &&
+  skip_ "ext[23] can have slow FIEMAP scanning"

 # Create a large-but-sparse file.
-timeout 10 truncate -s1T f || framework_failure_
+timeout 10 truncate -s1T f ||
+  skip_ "unable to create a 1 TiB sparse file"

 # Disable this test on old BTRFS (e.g. Fedora 14)
 # which reports (unwritten) extents for holes.

Subject: version 8.17: cp/fiemap-perf test failed
From: Andrew D Warshall <[email-masked]>
To: [email-masked]
Date: Tue, 17 Jul 2012 10:45:32 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I can send you the test-suite.log if you think it's important (but
don't want to clog up your inboxes unnecessarily if you don't). If it
makes any difference, I'm still using an ext2 filesystem (the test is
skipped on ext3); if that's the problem then perhaps just add to
tests/cp/fiemap-perf the lines:

df -t ext2 . >/dev/null &&
  skip_ "ext2 has known slow FIEMAP scanning"

(by analogy with the ext3 case which you already screen for)?

I'm not subscribed, so please to cc any replies to me.

               Yours,

              Andrew Warshall